:root {
  --mobnavslilp: 100%;
}

.classsospos {
  position: relative;
  z-index: 100;
}

.navbar-position {
  position: -webkit-sticky;
  position: sticky;
  top: 0px;
  left: 0px;
  z-index: 100;
}

.navelements {
  color: #ffffff !important;
  text-decoration: none !important;
}
.navelementsmb {
  color: #2c2333 !important;
  text-decoration: none !important;
}
.serchbtn {
  background-color: #680fd2;
  border-radius: 15px;
  border: none;
  height: 30px;
  width: 30px;
}

.mainLogo{
  min-width:150px !important;
  max-width:160px;
}
.ulstylenav {
  list-style: none;
  display: flex;
  flex-direction: row;
  gap: 38px;
  height: 65px;
  margin: 0px;
}

.ulstylenavmb {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin: 0px;
  padding: 0px;
}

.margnsp {
  margin-left: 4px;
}
.nav-list-style {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  position: relative;
}
.nav-list-stylemb {
  display: flex;
  flex-direction: row;
  position: relative;
}
.nav-list-style-botbat {
  position: absolute;
  top: calc(100% - 2px);
  left: 0%;
  width: 100%;
  display: flex;
  justify-content: flex-start;
  z-index: 1;
}
.nav-list-lineco {
  height: 2px;
  width: 40px;
  border-radius: 2px;
  overflow: hidden;
}
.nav-list-line {
  width: 100%;
  height: 100%;
  /* background-image: linear-gradient(90deg, #680fd2 0%, #ee691e 100%); */
  background:linear-gradient(45deg, #FAB83E, #F9E632);;
  background-repeat: no-repeat;
  transform: translateX(-102%);
}

.nav-list-line.fw {
  animation: lintranfor 0.3s ease forwards;
}
.nav-list-line.fw.bk {
  animation: lintranbkw 0.3s ease forwards;
}

@keyframes lintranfor {
  0% {
    transform: translateX(-102%);
  }
  100% {
    transform: translateX(0%);
  }
}

@keyframes lintranbkw {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(102%);
  }
}

.navlgco {
  position: relative;
  z-index: 100;
}

.togelmbnav {
  display: flex;
  width: 20px;
  height: auto;
}

.mobimgstyle {
  width: 100%;
  height: auto;
}

.mobilenavslider {
  z-index: 99;
  position: fixed;
  display: flex;
  top: 0px;
  left: var(--mobnavslilp);
  width: 100vw;
  height: 100vh;
  overflow-y: scroll;
  transition: left 0.3s ease;
}
.navco {     
  position: relative;
  -webkit-user-select: none;
  user-select: none;
  background-color: #203b5a;
}
.btncloseslide {
  width: 40%;
  height: 100%;
}
.btnslidercontent {
  width: 60%;
  height: min-content;
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  min-height: 100%;
  padding: 101px 36px 36px 36px;
}

.underlinss {
  position: relative;
}

.underlinss::after {
  position: absolute;
  top: 100%;
  left: 0%;
  content: "";
  height: 2px;
  width: 36px;
  border-radius: 1px;
  /* background: linear-gradient(90deg, #680fd2 0%, #ee691e 100%); */
  background:#2B93C8;
}
.servsoldropdown {
  width: max-content;
  padding: 24px 0px;
  background-color: #100a14;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 12px;
  border-radius: 0px 0px 12px 12px;
}

.apdsp{
  padding: 0px 24px;
}

.navaelfwan {
  color: #98929c;
  transition: all 0.3s ease;
}
a:hover{
  background-clip:linear-gradient(45deg, #FAB83E, #F9E632);
}
.navaelfwan:hover {
  background: linear-gradient(45deg, #FAB83E, #F9E632);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  font-weight: bold;
}

.navaelfwan:hover i{
  background-image: linear-gradient(45deg, #FAB83E, #F9E632);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  font-weight: bold;
}

.expandsubmenue{
  position: absolute;
  top: -24px;
  left: 100%;
  max-width: 0px;
  overflow: hidden;
  transition: all 0.3s ease;
  background-color: #100a14;
  border-radius: 0px 12px 12px 0px;
}

.insideexpand {
  padding: 24px;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.max-co{
  min-width: max-content;
}

.navaelfwanpar{
  position: relative;
  padding: 0px 24px;
}

.navaelfwanpar:hover .expandsubmenue{
  max-width: 400px;
}

.dropdownexpander {
  position: absolute;
  top: 100%;
  left: 0px;
  overflow: hidden;
  max-height: 0px;
  width: max-content;
  transition: all 0.3s ease;
}

.nav-list-style:hover .dropdownexpander {
  max-height: 368px;
}

.dropdownexpander-serv {
  position: absolute;
  top: 100%;
  left: 0px;
  max-height: 0px;
  width: max-content;
  transition: all 0.3s ease;
  display: none;
}

.nav-list-style:hover .dropdownexpander-serv {
  max-height: 368px;
  display: block;
}

.insidedrop {
  display: flex;
  flex-direction: row;
  gap: 24px;
}

.solnavels {
  padding: 0px;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

@media (max-width: 575.9px) {
  .nav-list-style {
    display: none;
  }
  .btncloseslide {
    width: 30%;
  }
  .btnslidercontent {
    width: 70%;
  }
}

@media (min-width: 576px) {
  .nav-list-style {
    display: none;
  }
  .btncloseslide {
    width: 50%;
    height: 100%;
  }
  .btnslidercontent {
    width: 50%;
  }
}

@media (min-width: 768px) {
  .btncloseslide {
    width: 60%;
  }
  .btnslidercontent {
    width: 40%;
  }
}

@media (min-width: 992px) {
  .btncloseslide {
    width: 70%;
  }
  .btnslidercontent {
    width: 30%;
  }
}

@media (min-width: 1200px) {
  .togelmbnav {
    display: none;
  }
  .nav-list-style {
    display: flex;
  }
}

@media (min-width: 1400px) {
  .ulstylenav {
    gap: 38px;
  }
}
